impossible to install docker

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • impossible to install docker

      First of all forgive for the English, is with Google translator.I went through all the forums I found on this topic but I could not solve my problem.

      My idea is change plex for emby and i need instal docker.

      With this I was able to remove the docker plugin to reinstall it: Errors installing docker on OMV4

      But I always have an error that does not allow me to install it correctly ;(

      Version OMV 4.1.19-1 on a Raspberry Pi 3.

      With: dpkg -l | grep openm

      Result:
      ii openmediavault 4.1.19-1 all openmediavault - The open network attached storage solution
      ii openmediavault-flashmemory 4.2.1 all folder2ram plugin for OpenMediaVault
      ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
      ii openmediavault-omvextrasorg 4.1.15 all OMV-Extras.org Package Repositories for OpenMediaVault
      ii openmediavault-plexmediaserver 3.8.2 all OpenMediaVault Plex Media Server plugin
      ii openmediavault-shellinabox 3.4 all Web-based SSH client.

      With: apt-get -f install

      Result:

      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
      containerd.io docker-ce-cli imagemagick-6-common libfftw3-double3 liblcms2-2
      liblqr-1-0 libmagickcore-6.q16-3 libmagickwand-6.q16-3 libopenjp2-7
      omvextras-common php-curl php-imagick php-symfony-class-loader
      php-symfony-polyfill-apcu php7.0-curl
      Use 'apt autoremove' to remove them.
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

      with: apt-get purge openmediavault-omvextrasorg

      result:

      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      The following packages were automatically installed and are no longer required:
      containerd.io docker-ce-cli imagemagick-6-common libfftw3-double3 liblcms2-2
      liblqr-1-0 libmagickcore-6.q16-3 libmagickwand-6.q16-3 libopenjp2-7
      omvextras-common php-curl php-imagick php-symfony-class-loader
      php-symfony-polyfill-apcu php7.0-curl
      Use 'apt autoremove' to remove them.
      The following packages will be REMOVED:
      openmediavault-omvextrasorg*
      0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
      After this operation, 478 kB disk space will be freed.
      Do you want to continue? [Y/n] y
      (Reading database ... 55149 files and directories currently installed.)
      Removing openmediavault-omvextrasorg (4.1.15) ...
      Processing triggers for openmediavault (4.1.19-1) ...
      Restarting engine daemon ...
      (Reading database ... 55076 files and directories currently installed.)
      Purging configuration files for openmediavault-omvextrasorg (4.1.15) ...
      Cleaning up configuration database ...
      Traceback (most recent call last):
      File "/usr/sbin/omv-mkconf", line 23, in <module>
      import argparse
      File "/usr/lib/python3.5/argparse.py", line 87, in <module>
      import copy as _copy
      File "/usr/lib/python3.5/copy.py", line 51, in <module>
      import types
      File "/usr/lib/python3.5/types.py", line 166, in <module>
      import functools as _functools
      File "/usr/lib/python3.5/functools.py", line 23, in <module>
      from weakref import WeakKeyDictionary
      File "/usr/lib/python3.5/weakref.py", line 118
      self._remove = remove
      ^
      IndentationError: unindent does not match any outer indentation level
      dpkg: error processing package openmediavault-omvextrasorg (--purge):
      subprocess installed post-removal script returned error exit status 1
      Errors were encountered while processing:
      openmediavault-omvextrasorg
      Traceback (most recent call last):
      File "/usr/sbin/omv-mkaptidx", line 35, in <module>
      import apt
      File "/usr/lib/python3/dist-packages/apt/__init__.py", line 26, in <module>
      from apt.package import Package
      File "/usr/lib/python3/dist-packages/apt/package.py", line 28, in <module>
      import socket
      File "/usr/lib/python3.5/socket.py", line 53, in <module>
      from enum import IntEnum
      File "/usr/lib/python3.5/enum.py", line 3, in <module>
      from types import MappingProxyType, DynamicClassAttribute
      File "/usr/lib/python3.5/types.py", line 166, in <module>
      import functools as _functools
      File "/usr/lib/python3.5/functools.py", line 23, in <module>
      from weakref import WeakKeyDictionary
      File "/usr/lib/python3.5/weakref.py", line 118
      self._remove = remove
      ^
      IndentationError: unindent does not match any outer indentation level
      E: Sub-process /usr/bin/dpkg returned an error code (1)
    • By the way OP.. when you do eventually get Docker installed...

      Pay very close attention to the Emby container....

      forum.openmediavault.org/index…se-using-Docker-and-Emby/

      emby.media/community/index.php…deleted-all-of-my-movies/

      The fix or this hasn't been pushed to stable yet, so if you're only on the stable versions, this bug *could* theoretically effect you and leave you in a real mess.

      ALWAYS have a backup.
      Air Conditioners are a lot like PC's... They work great until you open Windows.